# Alerte Secours - Le Réflexe qui Sauve

[![Liberapay](https://img.shields.io/liberapay/receives/alerte-secours.svg?logo=liberapay)](https://liberapay.com/alerte-secours)
[![Buy Me a Coffee](https://img.shields.io/badge/buy%20me%20a%20coffee-donate-yellow.svg?logo=buy-me-a-coffee)](https://buymeacoffee.com/alertesecours)
[![GitHub Sponsors](https://img.shields.io/github/sponsors/alerte-secours?style=social)](https://github.com/sponsors/alerte-secours)

Une application mobile pour la gestion des alertes et des fonctionnalités liées aux urgences, supportant les plateformes iOS et Android.

**Site Web Officiel :** [alerte-secours.fr](https://alerte-secours.fr)

## Aperçu du Projet

Alerte Secours est une application mobile construite avec React Native qui gère les alertes et les fonctionnalités liées aux urgences. L'application supporte les plateformes iOS et Android et inclut des fonctionnalités telles que :

- Création et gestion d'alertes avec mises à jour en temps réel
- Fonctionnalités basées sur la localisation avec intégration cartographique
- Système de chat/messagerie avec salles de discussion spécifiques aux alertes
- Authentification via vérification SMS
- Liens profonds pour le partage d'alertes
- Notifications push

## Documentation Développeur

Pour les développeurs souhaitant contribuer au projet ou déployer l'application, consultez la [documentation technique complète](DEVELOPER.md) qui contient :

- Aperçu du projet et fonctionnalités
- Stack technique détaillé
- Guide de démarrage rapide
- Instructions d'installation (Android/iOS)
- Structure du projet
- Guide de dépannage
- Instructions de build et déploiement

## Licence

Alerte Secours est sous licence **DevTheFuture Ethical Use License (DEF License)**. Points clés :

### Usage à but non lucratif
- Licence perpétuelle, libre de redevances et non exclusive pour usage à but non lucratif
- Permet l'utilisation, la modification et la distribution à des fins non lucratives

### Usage commercial
- Nécessite l'obtention d'une licence payante
- Conditions déterminées par le Concédant (DevTheFuture.org)

### Restrictions sur les données personnelles
- Ne doit pas être utilisé pour monétiser, vendre ou exploiter les données personnelles
- Les données personnelles ne peuvent pas être utilisées pour le marketing, la publicité ou l'influence politique
- L'agrégation de données n'est autorisée que si c'est une fonctionnalité explicite divulguée aux utilisateurs

### Restriction concurrentielle
- Les concurrents sont interdits d'utiliser le logiciel sans consentement explicite

Pour le texte complet de la licence, voir [LICENSE.md](LICENSE.md).

## 💙 Soutenir le projet

Alerte-Secours est une application mobile citoyenne, librement accessible, sans publicité ni exploitation de données.

Si vous souhaitez contribuer à son développement, sa maintenance et son indépendance :

- 🟡 **[Liberapay – Soutien régulier](https://liberapay.com/alerte-secours)**  
  Pour un soutien **récurrent et engagé**. Chaque don contribue à assurer la stabilité du service sur le long terme.

- ☕ **[Buy Me a Coffee – Don ponctuel](https://buymeacoffee.com/alertesecours)**  
  Pour un **coup de pouce ponctuel**, un café virtuel pour encourager le travail accompli !

- 🧑‍💻 **[GitHub Sponsors](https://github.com/sponsors/alerte-secours)**  
  Pour les développeurs et utilisateurs de GitHub : soutenez le projet directement via votre compte.

## Contribuer

Directives pour contribuer au projet :

1. Suivez le style de code et les conventions utilisées dans le projet
2. Écrivez des tests pour les nouvelles fonctionnalités
3. Mettez à jour la documentation si nécessaire
4. Utilisez les configurations ESLint et Prettier

## Support

Pour obtenir de l'aide, veuillez ouvrir un ticket sur notre tracker d'issues ou consulter la documentation dans le répertoire `/docs`.
